Mengenai konten keamanan OS X Server 3.1.2

Dokumen ini menjelaskan konten keamanan OS X Server 3.1.2.

Demi melindungi pelanggan kami, Apple tidak mengungkapkan, membahas, atau mengonfirmasi masalah keamanan hingga investigasi menyeluruh telah dilakukan dan perbaikan program atau rilis yang diperlukan telah tersedia. Untuk mempelajari Keamanan Produk Apple lebih lanjut, kunjungi situs web Keamanan Produk Apple.

Untuk mengetahui informasi mengenai Kunci PGP Keamanan Produk Apple, baca "Cara menggunakan Kunci PGP Keamanan Produk Apple."

Jika memungkinkan, ID CVE digunakan sebagai referensi untuk mengetahui informasi lebih lanjut mengenai kerentanan.

Untuk mempelajari Pembaruan Keamanan lainnya, baca "Pembaruan Keamanan Apple".

OS X Server 3.1.2

  • Ruby

    Tersedia untuk: OS X Mavericks v10.9.3 atau versi yang lebih baru

    Dampak: Menjalankan skrip Ruby yang menggunakan input yang tidak tepercaya untuk membuat objek Apung dapat menyebabkan aplikasi terhenti atau penerapan kode arbitrer

    Penjelasan: Masalah kelebihan buffer yang menumpuk muncul pada Ruby saat mengonversi string ke nilai titik mengapung. Penyerang dapat mengirimkan permintaan yang dibuat khusus ke Pengelola Profil atau ke skrip Ruby, yang dapat mengakibatkan aplikasi terhenti atau penerapan kode arbitrer. Masalah ini telah diatasi melalui validasi tambahan pada nilai titik mengapung.

    CVE-ID

    CVE-2013-4164

Informasi tentang produk yang tidak diproduksi oleh Apple, atau situs web independen tidak dikendalikan atau diuji oleh Apple, disediakan tanpa rekomendasi atau persetujuan. Apple tidak bertanggung jawab terkait pemilihan, kinerja, atau penggunaan situs web atau produk pihak ketiga. Apple tidak memberikan pendapat terkait akurasi atau keandalan situs web pihak ketiga. Risiko adalah hal tak terpisahkan dari penggunaan Internet. Hubungi vendor untuk informasi selengkapnya.

Tanggal Dipublikasikan: